diff --git a/scripts/debrebuild.pl b/scripts/debrebuild.pl
index 561db866..93f94617 100755
--- a/scripts/debrebuild.pl
+++ b/scripts/debrebuild.pl
@@ -234,16 +234,20 @@ my $srcpkgver  = $cdata->{Version};
     # make $@ local, so we don't print "Undefined subroutine" error message
     # in other parts where we evaluate $@
     local $@ = '';
+    # in some cases the source field contains a version in the form: name (version)
+    # for example: binclock (1.5-6)
     # field_parse_binary_source is only available starting with dpkg 1.21.0
-    eval { ($srcpkgname, $srcpkgver) = field_parse_binary_source($cdata); };
-    if ($@) {
-        ($srcpkgname, $srcpkgver) = split / /, $srcpkgname, 2;
-        # Add a simple control check to avoid the worst surprises and stop
-        # obvious cases of garbage-in-garbage-out.
-        die("Unexpected source package name: ${srcpkgname}\n")
-          if $srcpkgname =~ m{[ \t_/\(\)<>!\n%&\$\#\@]};
-        # remove the surrounding parenthesis from the version
-        $srcpkgver =~ s/^\((.*)\)$/$1/;
+    if ($srcpkgname =~ / /) {
+        eval { ($srcpkgname, $srcpkgver) = field_parse_binary_source($cdata); };
+        if ($@) {
+            ($srcpkgname, $srcpkgver) = split / /, $srcpkgname, 2;
+            # Add a simple control check to avoid the worst surprises and stop
+            # obvious cases of garbage-in-garbage-out.
+            die("Unexpected source package name: ${srcpkgname}\n")
+              if $srcpkgname =~ m{[ \t_/\(\)<>!\n%&\$\#\@]};
+            # remove the surrounding parenthesis from the version
+            $srcpkgver =~ s/^\((.*)\)$/$1/;
+        }
     }
 }
 
